Module jdk.scripting.nashorn
Package jdk.nashorn.api.tree

## Interface BreakTree

All Superinterfaces:
  GotoTree, StatementTree, Tree

    public interface BreakTree
    extends GotoTree

A tree node for a 'break' statement. For example:

       break;

       break label ;

Since:
  9

### Nested Class Summary

### Nested classes/interfaces inherited from interface jdk.nashorn.api.tree.Tree

`Tree.Kind`

### Method Summary

All Methods Instance Methods Abstract Methods
`String` `getLabel()` Label associated with this break statement.

### Methods inherited from interface jdk.nashorn.api.tree.Tree

`accept, getEndPosition, getKind, getStartPosition`

### Method Detail

#### getLabel

    String getLabel()

Label associated with this break statement. This is null if there is no label associated with this break statement.

Specified by:
  `getLabel` in interface `GotoTree`
Returns:
  label associated with this break statement.